## `spring:hasBindErrors`

### org.springframework.web.servlet.tags.BindErrorsTag

`spring:hasBindErrors (since 1.0)`
General information
The `spring:hasBindErrors` tag provides you with support for binding the errors for an object. If they are available, an `Errors` object gets bound in the page scope, which you can inspect. Basically it's a bit like the `spring:bind`-tag, but this tag does not feature the status object, it just binds all the errors for the object and its properties.
Attributes
name
The name of the bean in the request, that needs to be inspected for errors. If errors are available for this bean, they will be bound under the `errors` key.
required: yes
el-support: yes
htmlEscape
Set HTML escaping for this tag, as boolean value. Overrides the default HTML escaping setting for the current page.
required: no
el-support: yes
Variables
errors
The errors object informs you of errors that have occurred during validation or somehwere else in the submission process.
type: org.springframework.validation.Errors
`errors.errorCount`: the number of errors
`errors.allErrors`: all errors in a java.util.List
`errors.globalErrorCount`: the amount of errors registered for the object (so not for properties)
`errors.globalErrors`: the errors registerd for the object, in a java.util.List
`errors.globalError`: the first, non-field-specific error
Also have a look at
the `spring:bind` tag, which does not only give you error support, but also property transformation and expression support
the `spring:message` tag, to see how you can internationalize your error messages
the `Errors` interface